public class CommentTabPanel extends Object implements PaginatedIssueTabPanel
| Modifier and Type | Field and Description |
|---|---|
protected IssueTabPanelModuleDescriptor |
descriptor |
| Constructor and Description |
|---|
CommentTabPanel(CommentManager commentManager,
CommentPinManager commentPinManager,
CommentService commentService,
CommentPermissionManager commentPermissionManager,
CommentReactionsEnabledService commentReactionsEnabledService,
IssueManager issueManager,
FieldLayoutManager fieldLayoutManager,
RendererManager rendererManager,
DateTimeFormatter dateTimeFormatter,
CommentFieldRenderer commentFieldRenderer,
CommentPropertyService commentPropertyService,
JiraAuthenticationContext jiraAuthenticationContext) |
| Modifier and Type | Method and Description |
|---|---|
Page<IssueAction> |
getActions(GetActionsRequest request)
Returns a sorted list of issue actions wrapped in a Page object.
|
String |
getHeader(GetActionsRequest request) |
String |
getPersistentMarkup(GetActionsRequest request)
Allows implementors to provide additional HTML code to the page.
|
void |
init(IssueTabPanelModuleDescriptor descriptor) |
boolean |
showPanel(ShowPanelRequest request)
Indicates whether this tab should be shown on a given issue.
|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitpaginationSupportedprotected IssueTabPanelModuleDescriptor descriptor
public CommentTabPanel(CommentManager commentManager, CommentPinManager commentPinManager, CommentService commentService, CommentPermissionManager commentPermissionManager, CommentReactionsEnabledService commentReactionsEnabledService, IssueManager issueManager, FieldLayoutManager fieldLayoutManager, RendererManager rendererManager, DateTimeFormatter dateTimeFormatter, CommentFieldRenderer commentFieldRenderer, CommentPropertyService commentPropertyService, JiraAuthenticationContext jiraAuthenticationContext)
public void init(IssueTabPanelModuleDescriptor descriptor)
init in interface PaginatedIssueTabPanelpublic boolean showPanel(ShowPanelRequest request)
PaginatedIssueTabPanelshowPanel in interface PaginatedIssueTabPanelrequest - a ShowPanelRequestpublic Page<IssueAction> getActions(GetActionsRequest request)
PaginatedIssueTabPanelshowPanel returned true for a given context.
The request parameter contains the user that is viewing the tab, information as to whether the tab
is being loaded using an AJAX request, and so on.
Note that for the 'all' tab, the returned actions will be displayed in order according to the value returned by
IssueAction.getTimePerformed().
getActions in interface PaginatedIssueTabPanelrequest - a GetActionsRequestpublic String getHeader(GetActionsRequest request)
getHeader in interface PaginatedIssueTabPanelpublic String getPersistentMarkup(GetActionsRequest request)
PaginatedIssueTabPanelPaginatedIssueTabPanel.showPanel(com.atlassian.jira.plugin.issuetabpanel.ShowPanelRequest) returns true.getPersistentMarkup in interface PaginatedIssueTabPanelCopyright © 2002-2024 Atlassian. All Rights Reserved.